LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
FilterOptionsRequest Exception Referencepublished

Is used for interaction handle to get filter options. More...

`import "FilterOptionsRequest.idl";`

Inheritance diagram for FilterOptionsRequest:

## Public Types
typedef sequence< com::sun::star::beans::PropertyValue > | rProperties
| The Media-descriptor of the document.

## Public Attributes
::com::sun::star::frame::XModel | rModel
| The model of the document that should be provided to filters that supports XExporter interface.
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown.
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception.

## Detailed Description

Is used for interaction handle to get filter options.

Since
  OOo 1.1.2

## Member Typedef Documentation

## ◆ rProperties

sequence< com::sun::star::beans::PropertyValue > rProperties

The Media-descriptor of the document.

## Member Data Documentation

## ◆ rModel

::com::sun::star::frame::XModel rModel

The model of the document that should be provided to filters that supports XExporter interface.

The documentation for this exception was generated from the following file:

- com/sun/star/document/FilterOptionsRequest.idl